(function ($) {
   if (!$) return;
   $(document).ready(function () {

      const applyFilter = $('.btn-entitylist-filter-submit');
      $('<button type="button" button style="margin-right:4px" class="btn btn-default">Reset Filter</button>')
      .insertBefore(applyFilter)
      .on('click', function () {
        
        $('#entitylist-filters input[type="text"]').each(function () { $(this).val('') });
        $('#entitylist-filters input[type="checkbox"]').each(function() { $(this).removeAttr('checked') });
        $('div.entitylist-search > input').val('');

        applyFilter.trigger('click');
      });

      $('.entitylist.entity-grid').on('loaded', function () {
         /** Opens links for Website and Certificate in new Tab/Window */
          $(this)
          .find('td[data-attribute="websiteurl"] a')
          .attr({
             target: '_blank',
             rel: 'noreferrer noopener'
          });
       });
   });
})(window.jQuery);